@font-face {
    font-family: "grotesk";
    src: url("../font/HostGrotesk-Medium.ttf");
    font-style: normal;
    font-display: swap;
    font-weight: 200 800;
  }
  
  @font-face {
    font-family: "bold";
    src: url("../font/HostGrotesk-Bold.ttf");
    font-style: normal;
    font-display: swap;
    font-weight: 200 800;
  }

  html {
    --white: #ffffff;
    --gray-white: #EAEAEA;
    --yellow: #EAEA05;
    --charcoal: #222823;
    --gray: #777777;
    --black: black;
    scroll-behavior: smooth;
  
    --tbody: 'grotesk', Arial, sans-serif;
    --ttitle: 'bold', Arial, sans-serif; 
  
  }


  body {
    background-image: linear-gradient(to right top, #33363b, #272c2f, #1e2223, #161918, #0c0d0c);
    background-repeat: no-repeat;
    background-size: cover; 
    background-position: center; 
    background-attachment: fixed;
    margin: 0 100px;

    color: var(--white);

    

    p, h1, h2, h3 {
      font-family: var(--tbody);
    }
  }

  header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;

    #lh {
      display: flex;
      flex-direction: row;
      justify-content: center;
      align-items: center;
      gap: 10px;

      img {
        width: 60px;
        height: auto;
      }
    } 

    .hcolor {
      color: var(--yellow);
    }
  }

  #title {
    justify-self: center;
    margin: 0;
  }


  /* Card microinteraction */

.cardgrid {

    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 30px;
    margin: 50px 0;
}

.grayy {
  color: var(--gray);
}

.cardview {
  background: var(--black);
  transition: all 0.4s ease;
  color: var(--white);
  width: fit-content;
  height: 500px;
  overflow: hidden;
  border-radius: 10px;
  cursor: pointer;
  display: flex;
  flex-direction: row;

  img{
    width: 400px;
    height: auto;
    object-fit: cover;
    filter: grayscale(100%);
    transform: scale(1);
    transition: all 0.4s ease-in-out;
  }

  

  .intxt {
    padding: 30px;

    h3 {
      margin: 0;
    }

    h2 {
      margin-top: 0;
    }
  }

}


.cardview:hover {
  background: linear-gradient(
    161deg,
    rgba(85, 85, 85, 1) 0%,
    rgba(40, 40, 40, 1) 18%,
    rgba(15, 15, 13, 1) 38%,
    rgba(0, 0, 0, 1) 100%
  );

  img {
    filter: grayscale(0%);
    transform: scale(1.1);
  }
}

.inbox {
  margin-bottom: 20px;
  
  h2 {
    margin: 3px;
  }

  p {
    margin: 0;
  }
}


/* object list */
 .assignment { 
  background: #EAEAEA;
background: linear-gradient(90deg, rgba(234, 234, 234, 1) 0%, rgba(234, 234, 234, 0.38) 36%, rgba(234, 234, 234, 0.13) 67%, rgba(0, 0, 0, 0) 100%);
  background-size: cover;
  border-radius: 30px;
  padding: 35px;
  margin: 0 -100px;
  width: 100%;
  color: var(--black);
  justify-self: center;
  transition: all 0.4s ease;

  button {
      font-family: var(--tbody);
      margin: 0;
      padding: 5px 15px;
      color: var(--white);
      background-color: var(--black);
      border: 3px solid var(--black);
      border-radius: 30px;
      box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
      transition: all 0.3s ease-in-out;
      

      a {
          color: var(--white);
          font-size: 18px;
          margin: 0;
          text-decoration: none;
      }
    }

    button:hover {
      color: var(--black);
      background-color: transparent;

      a{
          color: var(--black);
      }
    }
    
  }


  .assignment:hover {
    background: #EAEAEA;
  }


  footer {
    justify-items: center;
    margin-top: 50px;

    p {
      color: var(--gray);
    }
  }


   @media (max-width: 1400px) {
  body {
    padding: 0 30px;
  }

  header {
    flex-direction: column;
    align-items: center;
    gap: 15px;
  }

  .cardgrid {
    flex-direction: column;
    align-items: center;
    gap: 40px;

    img {
      max-width: 400px;
    }
  }

  .assignment {
    width: 90%;
    padding: 25px;
  }

  
}



@media (max-width: 768px) {
  body {
    margin: 30px;
  }

  header {
    flex-direction: column;
    align-items: center;
  }

  #lh img {
    width: 45px;
  }

  #cardgrid {
    flex-direction: column;
    gap: 20px;

  }

  .cardview img {
      width: 300px;
    }

  .assignment {
    width: 100%;
    padding: 20px;
  }



  h1, h2, h3 {
    font-size: 1.5rem;
    text-align: center;
  }

  p {
    font-size: 1rem;
    line-height: 1.5;
  }


}


@media (max-width: 480px) {
  body {
    margin: 0 10px;
  }

  header {
    text-align: center;
  }

  #cardgrid {
    flex-direction: column;
    gap: 10px;
  }

  .cardview {
    width: 100%;
  }
  .cardview img {
      width: 150px;
    }

  .assignment {
    border-radius: 10px;
    padding: 15px;
  }


  h1, h2, h3 {
    font-size: 1.1rem;
  }

  p {
    font-size: 0.8rem;
    line-height: 1;
  }
}